Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Aviatrix Enterprise
Delete a certificate authority by its ID
cURL
curl -sk -X DELETE "https://<controller>/v2.5/api/certificate-authorities/{uid}" \ -H "Authorization: cid <CID>"
import requests url = "https://<controller>/v2.5/api/certificate-authorities/{uid}" headers = {"Authorization": "cid <CID>"} response = requests.delete(url, headers=headers) print(response.text)
package main import ( "fmt" "net/http" ) func main() { req, _ := http.NewRequest("DELETE", "https://<controller>/v2.5/api/certificate-authorities/{uid}", nil) req.Header.Set("Authorization", "cid <CID>") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() fmt.Println(resp.Status) }
{ "message": "<string>" }
Controller ID in the format: cid .
"cid <CID>"
The ID of the certificate authority to delete
Certificate authority deleted successfully. No content is returned
Was this page helpful?